# File:  main.rb

require File.dirname(__FILE__) + '/mail'
require File.dirname(__FILE__) + '/turboAPIClient'

USERNAME   = "username@turbo-smtp-com";
PASSWORD   = "insertpasswordhere";
SERVER_URL = "https://api.turbo-smtp.com/api/mail/send";
FROM_MAIL_FIELD = "SENDER_MAIL_ADDRESS"  #insert email "from" value
TO_MAIL_FIELD   = "DESTINATION_MAIL_ADDRESS"  #insert email "to" value
    
mail = Mail.new 
mail.from = FROM_MAIL_FIELD
mail.to = TO_MAIL_FIELD 
mail.subject = "Ruby Test TurboAPI Send(email) : campo SUBJECT"
mail.html_content = "Ruby Test TurboAPI Send(email) : campo HTML_CONTENT"

turboAPIClient = TurboAPIClient.new
begin
  response = turboAPIClient.sendMail(USERNAME, PASSWORD,  SERVER_URL, mail)
  puts response

  rescue RestClient::PreconditionFailed => error_var
    puts "Il server ha restituito il seguente errore:  #{error_var}"
    puts "Verificare che username e password inseriti siano corretti"
    puts "I valori inseriti sono --> USERNAME: #{USERNAME}, PASSWORD: #{PASSWORD}"
        
 rescue RestClient::ResourceNotFound => error_var
    puts "Error #{error_var}"   
    puts "Verificare che l'URL della risorsa richiesta sia corretto" 
    puts "L'URL inserito e' --> #{SERVER_URL}"
        
 rescue Exception => error_var
    puts "Error #{error_var}"   
end
